import { Observable } from 'rxjs';
import { OptionComponent } from '../option/option.component';
export declare class SelectService {
    onChecked: Observable<OptionComponent>;
    isMultiple: Observable<boolean>;
    private checkedSource;
    private multipleSource;
    constructor();
    checked(option: OptionComponent): void;
    canMultiple(b: boolean): void;
}
